Speckley.h File Reference
`#include <speckley/system_dep.h>`
`#include <escript/EsysMPI.h>`
`#include <boost/shared_ptr.hpp>`
`#include <list>`
`#include <map>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

| speckley

## Typedefs

typedef std::pair< index_t, index_t > | speckley::IndexPair
typedef std::vector< index_t > | speckley::IndexVector
typedef std::vector< real_t > | speckley::DoubleVector
typedef std::map< std::string, int > | speckley::TagMap

## Enumerations

enum | { speckley::DegreesOfFreedom =1, speckley::ReducedDegreesOfFreedom =2, speckley::Nodes =3, speckley::ReducedNodes =14, speckley::Elements =4, speckley::ReducedElements =10, speckley::FaceElements =5, speckley::ReducedFaceElements =11, speckley::Points =6 }

## Variables

const double | speckley::point_locations [][11]